<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.environment.mapper.ERealTimeDataMapper">

    <resultMap id="BaseResultMap" type="com.zksy.environment.domain.ERealTimeData">
            <id property="id" column="id" jdbcType="VARCHAR"/>
            <result property="deviceId" column="device_id" jdbcType="INTEGER"/>
            <result property="nodeId" column="node_id" jdbcType="INTEGER"/>
            <result property="tem" column="tem" jdbcType="FLOAT"/>
            <result property="hum" column="hum" jdbcType="FLOAT"/>
            <result property="lng" column="lng" jdbcType="DOUBLE"/>
            <result property="lat" column="lat" jdbcType="DOUBLE"/>
            <result property="coordinateType" column="coordinate_type" jdbcType="VARCHAR"/>
            <result property="relayStatus" column="relay_status" jdbcType="VARCHAR"/>
            <result property="floatValue" column="float_value" jdbcType="VARCHAR"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,device_id,node_id,
        tem,hum,lng,
        lat,coordinate_type,relay_status,
        float_value,create_time
    </sql>
</mapper>
